Package Details: xupnpd 1.033-8

Git Clone URL: https://aur.archlinux.org/xupnpd.git (read-only)
Package Base: xupnpd
Description: eXtensible UPnP agent (proxy IP TV multicast to DLNA)
Upstream URL: http://xupnpd.org
Licenses: GPL2
Submitter: tmn505
Maintainer: k0ste
Last Packager: k0ste
Votes: 3
Popularity: 0.126991
First Submitted: 2015-04-19 21:12
Last Updated: 2019-04-16 01:21

Latest Comments

k0ste commented on 2019-04-16 01:22

@qark, done.

qark commented on 2019-04-15 22:02

Could you please apply https://gist.githubusercontent.com/qarkai/35d06db65e1c7537dc6b152af0e8f2c3/raw/cfae9b5d7496fd46b76b4e7fefcb356f57b1b579/xupnp-aur.patch to fix mentioned issues?

qark commented on 2019-04-15 19:12

It looks like lua and lua52-luajson could be removed from makedepends list since xupnpd links to bundled lua-5.1.4.

qark commented on 2019-04-11 21:03

By the way Type=simple is required since cfg.daemon=false in xupnpd.lua by default.

Also Environment=XUPNPDROOTDIR=/var/lib/xupnpd/ could be added to [Service] instead of patching main.cpp.

k0ste commented on 2019-04-06 05:07

@qark, thanks.

qark commented on 2019-04-05 18:29

lua-luajson was dropped. Please update dependency to lua52-luajson: https://www.archlinux.org/packages/extra/any/lua52-luajson/

k0ste commented on 2015-08-21 07:32

2Artefact2
Why?

Artefact2 commented on 2015-08-20 16:20

Needs Type=simple instead of forking in the service file.